OpenNMS API 1.2.9

## org.opennms.netmgt.vacuumd
Class Vacuumd

    java.lang.Object
      org.opennms.netmgt.vacuumd.Vacuumd

All Implemented Interfaces:
  Fiber, PausableFiber, java.lang.Runnable

public class Vacuumd
extends java.lang.Object
implements PausableFiber, java.lang.Runnable

Implements a daemon whose job it is to run periodic updates against the database for database maintenance work.

Field Summary
`private static java.lang.String` `LOG4J_CATEGORY` The log4j category used to log debug messsages and statements.
`private static Vacuumd` `m_singleton`
`private long` `m_startTime`
`private int` `m_status`
`private boolean` `m_stopped`
`private java.lang.Thread` `m_thread`

Fields inherited from interface org.opennms.core.fiber.PausableFiber
`PAUSE_PENDING, PAUSED, RESUME_PENDING`

Fields inherited from interface org.opennms.core.fiber.Fiber
`RUNNING, START_PENDING, STARTING, STATUS_NAMES, STOP_PENDING, STOPPED`

Constructor Summary
`Vacuumd()`

Method Summary
`java.lang.String` `getName()` This method is used to return the name of the `Fiber`.
`static Vacuumd` `getSingleton()`
`int` `getStatus()` This method is used to get the current status of the `Fiber`.
`void` `init()`
`void` `pause()` This method is used to suspend a currently running `Fiber`.``
`void` `resume()` This method is used to resume a suspeneded `Fiber`.
`void` `run()`
`void` `runUpdate(java.lang.String sql)`
`void` `start()` This method is used to start the initilization process of the `Fiber`, which should eventually transition to a `RUNNING` status.
`void` `stop()` This method is used to stop a currently running `Fiber`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG4J_CATEGORY

    private static final java.lang.String LOG4J_CATEGORY

  The log4j category used to log debug messsages and statements.

  See Also:
    Constant Field Values

### m_singleton

    private static Vacuumd m_singleton

### m_thread

    private java.lang.Thread m_thread

### m_startTime

    private long m_startTime

### m_stopped

    private boolean m_stopped

### m_status

    private int m_status

Constructor Detail

### Vacuumd

    public Vacuumd()

Method Detail

### getSingleton

    public static Vacuumd getSingleton()

### init

    public void init()

### start

    public void start()

  Description copied from interface: `Fiber`
  This method is used to start the initilization process of the `Fiber`, which should eventually transition to a `RUNNING` status.

  Specified by:
    `start` in interface `Fiber`

### stop

    public void stop()

  Description copied from interface: `Fiber`
  This method is used to stop a currently running `Fiber`. Once invoked the `Fiber` should begin it's shutdown process. Depending on the implementation, this method may block until the `Fiber` terminates.

  Specified by:
    `stop` in interface `Fiber`

### pause

    public void pause()

  Description copied from interface: `PausableFiber`
  This method is used to suspend a currently running `Fiber`. When invoked the `Fiber` will begin the transition to a `PAUSED` status after changing its internal state, if applicable.

  ``
  Specified by:
    `pause` in interface `PausableFiber`

### resume

    public void resume()

  Description copied from interface: `PausableFiber`
  This method is used to resume a suspeneded `Fiber`. If the thread is already running then this method should have no effect on the current `Fiber`.

  Specified by:
    `resume` in interface `PausableFiber`

### getName

    public java.lang.String getName()

  Description copied from interface: `Fiber`
  This method is used to return the name of the `Fiber`. The name of the instance is defined by the implementor, but it should be realitively unique when possible.

  Specified by:
    `getName` in interface `Fiber`
  Returns:
    The name of the `Fiber`.

### getStatus

    public int getStatus()

  Description copied from interface: `Fiber`
  This method is used to get the current status of the `Fiber`. The status of the fiber should be one of the predefined constants of the `Fiber` interface, or from one of the derived interfaces.

  Specified by:
    `getStatus` in interface `Fiber`
  Returns:
    The current status of the `Fiber`.

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### runUpdate

    public void runUpdate(java.lang.String sql)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.